#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=lopnor3.22_base.ps
projection=-JM16.0c+
region=-R87.6/89.8/40.7/42.5
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map lopnor3.22' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    41.130    88.094
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    41.383    88.337
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    41.380    88.183
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    41.741    88.608
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    41.695    88.354
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    41.554    88.733
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    42.356    87.916
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    41.549    88.711
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    41.576    88.727
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    41.738    88.373
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    41.540    88.742
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    41.350    89.640
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    42.105    89.402
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    41.617    88.745
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    41.581    88.708
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    41.531    88.741
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    40.905    89.084
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    41.526    88.779
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    41.718    88.353
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    41.988    89.307
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    41.615    88.693
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    41.531    88.722
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    41.574    88.721
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    41.724    89.412
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    41.552    88.762
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    41.533    88.768
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    41.741    88.128
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    41.586    88.673
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    41.750    88.351
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    41.675    88.483
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    41.621    88.449
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    42.058    87.880
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    41.730    89.215
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    40.820    88.980
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    41.796    88.136
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    41.732    89.018
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    41.711    88.747
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    41.720    88.079
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    41.960    88.335
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    41.377    88.769
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    41.209    88.228
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    42.280    88.113
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    41.167    88.359
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    41.086    87.818
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    42.069    88.179
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    42.297    88.056
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    42.015    87.739
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    42.134    87.930
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    41.071    88.315
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    41.627    89.108
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    41.335    88.241
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    41.792    88.424
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    41.820    87.806
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    41.371    89.417
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    41.270    88.390
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    42.276    88.314
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    41.828    88.483
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    41.820    88.455
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    41.833    88.490
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    41.924    87.944
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    41.180    87.774
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.176    88.165
    41.175    88.174
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.064    87.876
    41.130    88.094
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.175    88.174
    41.130    88.094
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.428    88.417
    41.428    88.417
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.348    88.295
    41.383    88.337
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.428    88.417
    41.383    88.337
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.423    88.261
    41.425    88.264
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.401    88.313
    41.380    88.183
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.425    88.264
    41.380    88.183
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.785    88.687
    41.786    88.688
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.680    88.616
    41.741    88.608
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.786    88.688
    41.741    88.608
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.741    88.434
    41.740    88.434
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.684    88.218
    41.695    88.354
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.740    88.434
    41.695    88.354
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.599    88.813
    41.599    88.813
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.456    88.720
    41.554    88.733
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.599    88.813
    41.554    88.733
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.400    87.994
    42.401    87.996
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.388    88.020
    42.356    87.916
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.401    87.996
    42.356    87.916
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.593    88.791
    41.594    88.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.544    88.727
    41.549    88.711
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.594    88.791
    41.549    88.711
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.621    88.807
    41.622    88.807
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.590    88.751
    41.576    88.727
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.622    88.807
    41.576    88.727
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.782    88.451
    41.783    88.453
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.681    88.303
    41.738    88.373
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.783    88.453
    41.738    88.373
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.585    88.822
    41.585    88.823
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.547    88.720
    41.540    88.742
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.585    88.823
    41.540    88.742
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.394    89.720
    41.395    89.721
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.316    89.615
    41.350    89.640
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.395    89.721
    41.350    89.640
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.149    89.482
    42.150    89.482
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.035    89.354
    42.105    89.402
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.150    89.482
    42.105    89.402
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.662    88.824
    41.662    88.826
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.508    88.671
    41.617    88.745
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.662    88.826
    41.617    88.745
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.624    88.788
    41.626    88.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.541    88.686
    41.581    88.708
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.626    88.788
    41.581    88.708
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.575    88.821
    41.577    88.822
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.518    88.752
    41.531    88.741
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.577    88.822
    41.531    88.741
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.949    89.164
    40.950    89.164
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.847    89.031
    40.905    89.084
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.950    89.164
    40.905    89.084
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.571    88.859
    41.572    88.860
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.527    88.808
    41.526    88.779
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.572    88.860
    41.526    88.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.763    88.433
    41.764    88.434
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.701    88.319
    41.718    88.353
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.764    88.434
    41.718    88.353
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.032    89.387
    42.033    89.387
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.959    89.262
    41.988    89.307
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.033    89.387
    41.988    89.307
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.661    88.772
    41.660    88.773
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.632    88.689
    41.615    88.693
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.660    88.773
    41.615    88.693
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.576    88.802
    41.576    88.803
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.537    88.743
    41.531    88.722
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.576    88.803
    41.531    88.722
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.619    88.800
    41.619    88.801
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.578    88.767
    41.574    88.721
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.619    88.801
    41.574    88.721
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.769    89.491
    41.769    89.492
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.686    89.208
    41.724    89.412
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.769    89.492
    41.724    89.412
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.597    88.842
    41.598    88.842
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.590    88.817
    41.552    88.762
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.598    88.842
    41.552    88.762
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.578    88.848
    41.578    88.848
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.563    88.791
    41.533    88.768
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.578    88.848
    41.533    88.768
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.780    88.210
    41.786    88.208
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.842    88.231
    41.741    88.128
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.786    88.208
    41.741    88.128
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.631    88.753
    41.631    88.754
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.602    88.661
    41.586    88.673
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.631    88.754
    41.586    88.673
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.795    88.431
    41.795    88.432
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.710    88.331
    41.750    88.351
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.795    88.432
    41.750    88.351
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.720    88.563
    41.720    88.563
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.553    88.355
    41.675    88.483
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.720    88.563
    41.675    88.483
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.666    88.529
    41.666    88.529
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.586    88.455
    41.621    88.449
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.666    88.529
    41.621    88.449
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.100    87.955
    42.103    87.961
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.978    87.926
    42.058    87.880
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.103    87.961
    42.058    87.880
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.774    89.295
    41.775    89.295
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.714    89.225
    41.730    89.215
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.775    89.295
    41.730    89.215
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.864    89.058
    40.865    89.060
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.944    89.103
    40.820    88.980
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.865    89.060
    40.820    88.980
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.838    88.217
    41.841    88.217
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.819    88.062
    41.796    88.136
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.841    88.217
    41.796    88.136
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.775    89.098
    41.777    89.098
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.656    88.987
    41.732    89.018
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.777    89.098
    41.732    89.018
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.748    88.814
    41.756    88.827
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.956    88.871
    41.711    88.747
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.756    88.827
    41.711    88.747
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.766    88.161
    41.765    88.160
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.843    88.121
    41.720    88.079
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.765    88.160
    41.720    88.079
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.009    88.418
    42.006    88.415
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.045    88.310
    41.960    88.335
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.006    88.415
    41.960    88.335
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.488    88.942
    41.423    88.849
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.414    88.797
    41.377    88.769
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.423    88.849
    41.377    88.769
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.255    88.307
    41.255    88.308
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.287    88.391
    41.209    88.228
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.255    88.308
    41.209    88.228
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.328    88.196
    42.325    88.193
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.279    88.123
    42.280    88.113
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.325    88.193
    42.280    88.113
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.216    88.442
    41.212    88.440
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.246    88.431
    41.167    88.359
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.212    88.440
    41.167    88.359
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.133    87.899
    41.131    87.898
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.064    87.851
    41.086    87.818
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.131    87.898
    41.086    87.818
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.113    88.256
    42.114    88.259
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.968    88.136
    42.069    88.179
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.114    88.259
    42.069    88.179
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.344    88.133
    42.342    88.136
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.202    88.092
    42.297    88.056
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.342    88.136
    42.297    88.056
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.061    87.820
    42.060    87.820
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.030    87.772
    42.015    87.739
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.060    87.820
    42.015    87.739
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.180    88.011
    42.179    88.010
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.151    87.993
    42.134    87.930
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.179    88.010
    42.134    87.930
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.117    88.396
    41.116    88.395
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.197    88.352
    41.071    88.315
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.116    88.395
    41.071    88.315
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.671    89.187
    41.672    89.188
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.593    89.102
    41.627    89.108
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.672    89.188
    41.627    89.108
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.396    88.339
    41.380    88.321
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.352    88.144
    41.335    88.241
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.380    88.321
    41.335    88.241
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.838    88.504
    41.838    88.504
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.822    88.357
    41.792    88.424
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.838    88.504
    41.792    88.424
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.866    87.887
    41.865    87.887
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.784    87.804
    41.820    87.806
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.865    87.887
    41.820    87.806
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.416    89.496
    41.416    89.497
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.387    89.371
    41.371    89.417
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.416    89.497
    41.371    89.417
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.317    88.470
    41.315    88.470
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.207    88.373
    41.270    88.390
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.315    88.470
    41.270    88.390
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.331    88.408
    42.321    88.394
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.457    88.438
    42.276    88.314
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    42.321    88.394
    42.276    88.314
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.873    88.563
    41.873    88.564
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.780    88.560
    41.828    88.483
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.873    88.564
    41.828    88.483
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.866    88.536
    41.865    88.535
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.786    88.408
    41.820    88.455
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.865    88.535
    41.820    88.455
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.881    88.575
    41.878    88.570
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.838    88.489
    41.833    88.490
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.878    88.570
    41.833    88.490
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.972    88.026
    41.969    88.024
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.884    87.915
    41.924    87.944
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.969    88.024
    41.924    87.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.228    87.856
    41.226    87.855
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.175    87.768
    41.180    87.774
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.226    87.855
    41.180    87.774
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    41.709    88.390     0.200
    41.541    88.755     0.200
    41.541    88.728     0.200
    41.580    88.725     0.200
    41.708    88.386     0.200
    41.556    88.743     0.200
    41.576    88.713     0.200
    41.527    88.736     0.200
    41.534    88.767     0.200
    41.716    88.378     0.200
    41.528    88.712     0.200
    41.574    88.719     0.200
    41.551    88.750     0.200
    41.541    88.752     0.200
    41.580    88.689     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    41.709    88.390     0.000     2.000     2.000
    41.541    88.755     0.000     2.000     2.000
    41.541    88.728     0.000     2.000     2.000
    41.580    88.725     0.000     2.000     2.000
    41.708    88.386     0.000     2.000     2.000
    41.556    88.743     0.000     2.000     2.000
    41.576    88.713     0.000     2.000     2.000
    41.527    88.736     0.000     2.000     2.000
    41.534    88.767     0.000     2.000     2.000
    41.716    88.378     0.000     2.000     2.000
    41.528    88.712     0.000     2.000     2.000
    41.574    88.719     0.000     2.000     2.000
    41.551    88.750     0.000     2.000     2.000
    41.541    88.752     0.000     2.000     2.000
    41.580    88.689     0.000     2.000     2.000
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.709    88.390
    41.695    88.354
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.541    88.755
    41.554    88.733
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.541    88.728
    41.549    88.711
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.580    88.725
    41.576    88.727
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.708    88.386
    41.738    88.373
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.556    88.743
    41.540    88.742
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.576    88.713
    41.581    88.708
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.527    88.736
    41.531    88.741
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.534    88.767
    41.526    88.779
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.716    88.378
    41.718    88.353
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.528    88.712
    41.531    88.722
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.574    88.719
    41.574    88.721
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.551    88.750
    41.552    88.762
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.541    88.752
    41.533    88.768
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.580    88.689
    41.586    88.673
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    41.130    88.094    82.511     6.553     8.824
    41.383    88.337   -52.720     4.329     5.276
    41.380    88.183   -44.208     5.230    10.065
    41.741    88.608   -73.748     3.263     4.115
    41.695    88.354   -62.033     5.321     6.119
    41.554    88.733   -65.288     4.261     5.440
    42.356    87.916   -34.942     2.543     3.301
    41.549    88.711   -67.813     1.390     2.680
    41.576    88.727   -41.918     1.805     2.495
    41.738    88.373    -5.978     3.797     4.824
    41.540    88.742   -70.009     0.890     1.382
    41.350    89.640   -73.294     1.268     1.959
    42.105    89.402   -35.034     2.874     3.569
    41.617    88.745   -65.551     2.415     3.337
    41.581    88.708   -69.610     1.240     1.978
    41.531    88.741   -65.985     0.865     1.337
    40.905    89.084   -42.995     2.302     3.335
    41.526    88.779   -66.357     0.893     1.472
    41.718    88.353   -62.948     1.791     2.413
    41.988    89.307   -83.485     1.558     2.641
    41.615    88.693   -70.901     0.915     1.650
    41.531    88.722   -75.284     0.885     1.222
    41.574    88.721   -68.904     0.894     1.316
    41.724    89.412   -88.073     2.460     4.106
    41.552    88.762   -67.880     0.902     1.285
    41.533    88.768   -72.973     0.964     1.373
    41.741    88.128    80.890     2.561     5.529
    41.586    88.673   -69.854     0.931     1.393
    41.750    88.351   -58.443     1.715     2.217
    41.675    88.483     1.007     3.425     4.496
    41.621    88.449   -68.284     1.260     1.560
    42.058    87.880   -50.473     5.002     9.813
    41.730    89.215   -58.424     2.595     4.369
    40.820    88.980   -35.836     5.103    12.776
    41.796    88.136   -54.342     7.052     8.572
    41.732    89.018   -63.163     1.684     2.716
    41.711    88.747   -44.387     3.584     6.028
    41.720    88.079   -47.210     5.725    12.444
    41.960    88.335   -56.942     6.578    11.330
    41.377    88.769   -43.411     5.858    14.722
    41.209    88.228   -47.053     4.676     9.738
    42.280    88.113   -42.791     4.470     8.401
    41.167    88.359   -43.891     5.096     7.978
    41.086    87.818   -34.840     4.838     6.911
    42.069    88.179   -46.440     5.508    10.092
    42.297    88.056    22.702     7.547    11.215
    42.015    87.739   -67.190     2.241     2.510
    42.134    87.930   -70.544     2.815     4.134
    41.071    88.315   -76.876     2.576     3.408
    41.627    89.108   -50.304     2.666     5.184
    41.335    88.241    48.321     2.405     8.066
    41.792    88.424   -67.448     1.087     1.478
    41.820    87.806   -67.628     1.415     1.952
    41.371    89.417   -71.979     1.913     2.537
    41.270    88.390   -77.955     2.553     4.404
    42.276    88.314   -42.197     6.312    12.483
    41.828    88.483   -62.586     2.960     3.946
    41.820    88.455   -75.055     3.220     4.414
    41.833    88.490   -51.756     6.341    11.447
    41.924    87.944    85.833     3.913     5.590
    41.180    87.774   -83.609     1.525     2.414
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    40.774    87.711   -62.687     2.508     2.820
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    40.774    87.733   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    40.774    87.711     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    40.774    87.711     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    40.729    87.711   5 km
END
