#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=lopnor3.22_sel3.ps
projection=-JM16.0c+
region=-R88.6/89.0/41.4/41.7
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map lopnor3.22' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    41.554    88.733
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    41.549    88.711
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    41.576    88.727
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    41.540    88.742
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    41.581    88.708
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    41.531    88.741
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    41.526    88.779
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    41.531    88.722
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    41.574    88.721
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    41.552    88.762
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    41.533    88.768
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    41.586    88.673
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.599    88.813
    41.599    88.813
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.456    88.720
    41.554    88.733
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.599    88.813
    41.554    88.733
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.593    88.791
    41.594    88.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.544    88.727
    41.549    88.711
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.594    88.791
    41.549    88.711
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.621    88.807
    41.622    88.807
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.590    88.751
    41.576    88.727
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.622    88.807
    41.576    88.727
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.585    88.822
    41.585    88.823
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.547    88.720
    41.540    88.742
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.585    88.823
    41.540    88.742
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.624    88.788
    41.626    88.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.541    88.686
    41.581    88.708
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.626    88.788
    41.581    88.708
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.575    88.821
    41.577    88.822
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.518    88.752
    41.531    88.741
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.577    88.822
    41.531    88.741
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.571    88.859
    41.572    88.860
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.527    88.808
    41.526    88.779
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.572    88.860
    41.526    88.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.576    88.802
    41.576    88.803
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.537    88.743
    41.531    88.722
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.576    88.803
    41.531    88.722
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.619    88.800
    41.619    88.801
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.578    88.767
    41.574    88.721
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.619    88.801
    41.574    88.721
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.597    88.842
    41.598    88.842
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.590    88.817
    41.552    88.762
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.598    88.842
    41.552    88.762
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.578    88.848
    41.578    88.848
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.563    88.791
    41.533    88.768
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.578    88.848
    41.533    88.768
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.631    88.753
    41.631    88.754
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.602    88.661
    41.586    88.673
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.631    88.754
    41.586    88.673
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    41.709    88.390     0.200
    41.541    88.755     0.200
    41.541    88.728     0.200
    41.580    88.725     0.200
    41.708    88.386     0.200
    41.556    88.743     0.200
    41.576    88.713     0.200
    41.527    88.736     0.200
    41.534    88.767     0.200
    41.716    88.378     0.200
    41.528    88.712     0.200
    41.574    88.719     0.200
    41.551    88.750     0.200
    41.541    88.752     0.200
    41.580    88.689     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    41.709    88.390     0.000     2.000     2.000
    41.541    88.755     0.000     2.000     2.000
    41.541    88.728     0.000     2.000     2.000
    41.580    88.725     0.000     2.000     2.000
    41.708    88.386     0.000     2.000     2.000
    41.556    88.743     0.000     2.000     2.000
    41.576    88.713     0.000     2.000     2.000
    41.527    88.736     0.000     2.000     2.000
    41.534    88.767     0.000     2.000     2.000
    41.716    88.378     0.000     2.000     2.000
    41.528    88.712     0.000     2.000     2.000
    41.574    88.719     0.000     2.000     2.000
    41.551    88.750     0.000     2.000     2.000
    41.541    88.752     0.000     2.000     2.000
    41.580    88.689     0.000     2.000     2.000
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.541    88.755
    41.554    88.733
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.541    88.728
    41.549    88.711
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.580    88.725
    41.576    88.727
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.556    88.743
    41.540    88.742
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.576    88.713
    41.581    88.708
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.527    88.736
    41.531    88.741
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.534    88.767
    41.526    88.779
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.528    88.712
    41.531    88.722
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.574    88.719
    41.574    88.721
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.551    88.750
    41.552    88.762
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.541    88.752
    41.533    88.768
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.580    88.689
    41.586    88.673
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    41.554    88.733   -65.288     4.261     5.440
    41.549    88.711   -67.813     1.390     2.680
    41.576    88.727   -41.918     1.805     2.495
    41.540    88.742   -70.009     0.890     1.382
    41.581    88.708   -69.610     1.240     1.978
    41.531    88.741   -65.985     0.865     1.337
    41.526    88.779   -66.357     0.893     1.472
    41.531    88.722   -75.284     0.885     1.222
    41.574    88.721   -68.904     0.894     1.316
    41.552    88.762   -67.880     0.902     1.285
    41.533    88.768   -72.973     0.964     1.373
    41.586    88.673   -69.854     0.931     1.393
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    41.480    88.645   -62.687     2.508     2.820
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    41.480    88.668   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    41.480    88.645     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    41.480    88.645     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    41.435    88.645   5 km
END
